Skip to Content
APIsToken Search

Token Search

Search for cryptocurrency token information and logos.

The endpoint is in alpha. We do not recommend use for production.

Get Tokens Logos

GEThttps://api.adesic.com/v2/dex/{exchange}/{blockchain}/tokens

Returns an array of real-time or historical token data on a decentralized exchange.

Path Parameters

NameTypeDescription
exchange*stringDecentralized exchange Id
blockchain*stringBlockchain for decentralized exchange

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
limitintNumber of results per request. Maximum 1,0000 (default 100)
orderBystringSort the returned data by any field in the API response, such as id, name, symbol, volumeUSD and more.
orderDirectionstringasc or desc return the results sorted by that field in either ascending or descending order.
skipintNumber of results to skip per request.
tokenSymbolstringFilters the results to show only records with the specified token symbol. Example: WETH
tokenIdstringFilters the results to show only records with the specified token ID. Example: 0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
tokenNamestringFilters the results to show only records with the specified token name. Example: Wrapped Ethereum
logobooleanDetermines whether or not to include the logo in the response. Example: true or false
success-response.json
[ { "id": "0x00000000000045166c45af0fc6e4cf31d9e14b9a", "name": "TopBidder", "symbol": "BID", "decimals": "18", "supply": "28240", "totalValueLocked": "45.690660599764812617", "totalValueLockedUSD": "0", "volume": "8347.641875381858852443", "volumeUSD": "8114.480070327402387046118602321907", "untrackedVolumeUSD": "4057.240035163701193523059301160956", "txCount": "15", "derivedETH": "0", "feesUSD": "81.14480070327402387046118602321907", "totalValueLockedUSDUntracked": "0", "poolCount": "0" } ]

Copy & Paste Code

curl-example.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/dex/uniswap/ethereum/tokens

Example URLs:

Response Object

response-example.json
[ { "id": "0x95ad61b0a150d79219dcf64e1e6cc01f0b64c4ce", "name": "SHIBA INU", "symbol": "SHIB", "decimals": "18", "supply": "18240", "totalValueLocked": "1006152663747.818392476644062536", "totalValueLockedUSD": "9989860.304795510277702975232615195", "volume": "266698446900978.998654557602976886", "volumeUSD": "3901300011.472526871991542874821034", "untrackedVolumeUSD": "3942142264.394503491291958788380872", "txCount": "629286", "derivedETH": "0.000000005224360344368931294971240286955516", "feesUSD": "23415626.21105531686238648984594351", "totalValueLockedUSDUntracked": "0", "poolCount": "0", "logo": "https://raw.githubusercontent.com/adesic/assets/master/blockchains/ethereum/assets/0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE/logo.png" } ]

Response Attributes

Attribute NameData TypeDescription
idstringToken contract address
namestringToken name
symbolstringToken symbol
decimalsstringToken decimals
supplystringToken total supply
totalValueLockedstringLiquidity across all pools in token units
totalValueLockedUSDstringLiquidity across all pools in derived USD
volumestringVolume in token units
volumeUSDstringVolume in derived USD
untrackedVolumeUSDstringVolume in USD even on pools with less reliable USD values
txCountstringTransactions across all pools that include this token
derivedETHstringDerived price in ETH
feesUSDstringFees in USD
totalValueLockedUSDUntrackedstringTVL derived in USD untracked
poolCountstringNumber of pools containing this token
logostringToken Logo URL

© Adesic LLC. All Rights Reserved